/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch das
 * Ministerium für Energiewende, Klimaschutz, Umwelt und Natur
 * Zentrales IT-Management
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.formcycle;

import java.util.Properties;

public class PropertiesTestFactory {

	public static final String EINGANGSADAPTER_URL = "url";
	public static final String PROXY_HOST = "host";
	public static final String PROXY_PORT = "1";
	public static final String PROXY_USER = "user";
	public static final String PROXY_PASSWORD = "password";

	public static Properties createEmpty() {
		return new Properties();
	}
	public static Properties create() {
		var properties = createEmpty();
		properties.setProperty(OzgCloudConfig.KEY_EINGANGSADAPTER_URL, EINGANGSADAPTER_URL);
		properties.setProperty(ProxyConfig.KEY_PROXY_HOST, PROXY_HOST);
		properties.setProperty(ProxyConfig.KEY_PROXY_PORT, PROXY_PORT);
		properties.setProperty(ProxyConfig.KEY_PROXY_USER, PROXY_USER);
		properties.setProperty(ProxyConfig.KEY_PROXY_PASSWORD, PROXY_PASSWORD);
		return properties;
	}

	public static Properties createPortProperty(String port) {
		var properties = createEmpty();
		properties.setProperty(ProxyConfig.KEY_PROXY_PORT, port);
		return properties;
	}
}
